
import numpy as np

width = 0.01
ampl1 = 0.05
ampl3 = 0.3


def initialize_velocity(res, x, y, z, t, rand_init=False):
    yy  = np.abs(y - 0.5)
    aux = (0.1 - 2.0 * yy) / (4.0 * width)
    strg = np.exp(np.abs(aux**2))
    if rand_init:
        from create_random_arrays import random_init
        randX, randY, randZ = random_init(res[0].shape, box.comm_task)
        strg1 = strg * randX
        strg2 = strg * randY
        strg3 = strg * randZ
        res[0][...] = 0.5 * (1.0 + np.tanh(aux)) * (1.0 + ampl3 * np.sin(8.0 * np.pi * x)) * (1.0 + ampl1 * strg1)
        res[1][...] = ampl1 * strg2
        res[2][...] = ampl1 * strg3
    else:
        res[0][...] = 0.5 * (1.0 + np.tanh(aux)) * (1.0 + ampl3 * np.sin(8.0 * np.pi * x))
        res[1][...] = 0.0
        res[2][...] = 0.0
    return res

